/*
 * Copyright 2004-2014 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */

package org.seasar.extension.jta.xa;

import javax.transaction.xa.XAResource;

/**
 * {@link XAResource}のステータスを定義したインターフェースです。
 *
 * @author higa
 *
 */
public enum XAResourceStatus {

    /** None */
    RS_NONE(0),

    /** Active */
    RS_ACTIVE(1),

    /** Suspended */
    RS_SUSPENDED(2),

    /** Fail */
    RS_FAIL(3),

    /** Success */
    RS_SUCCESS(4),

    /** Prepared */
    RS_PREPARED(5);

    /** 値 */
    private final int value;

    /**
     * Constructor
     * @param val 値
     */
    XAResourceStatus(final int val) {
        this.value = val;
    }

    /**
     * 値取得
     * @return 値
     */
    public int value() {
        return this.value;
    }
}
